GRAPH BEGIN
start 31 2.0 a aa aaa 
a 0 1 b c d b1
b1 1 10 e f g e1
b 1 2 e f g e1
c 1 1 e f g e1
d 1 2 e f g e1
e1 2 10 h i j h1
e 2 2 h i j h1
f 2 1 h i j h1
g 2 2 h i j h1
h1 3 10 k l m k1 
h 3 2 k l m k1
i 3 1 k l m k1
j 3 2 k l m k1
k1 4 10 n o p n1
k 4 2 n o p n1
l 4 1 n o p n1
m 4 2 n o p n1
n1 5 10 q r s q1
n 5 2 q r s q1
o 5 0 q r s q1
p 5 2 q r s q1
q1 6 10 t u v t1
q 6 2 t u v t1
r 6 1 t u v t1
s 6 2 t u v t1
t1 7 10 w x y w1
t 7 2 w x y w1
u 7 1 w x y w1
v 7 2 w x y w1
w1 8 10 z
w 8 2 z
x 8 1 z
y 8 2 z
z 9 2 aa
aa 10 1 bb cc dd bb1
bb1 11 10 ee ff gg ee1
bb 11 2 ee ff gg ee1
cc 11 1 ee ff gg ee1
dd 11 2 ee ff gg ee1
ee1 12 10 hh ii jj hh1
ee 12 2 hh ii jj hh1
ff 12 1 hh ii jj hh1
gg 12 2 hh ii jj hh1
gg1 13 10 kk ll mm kk1
hh 13 2 kk ll mm kk1
ii 13 1 kk ll mm kk1
jj 13 2 kk ll mm kk1
kk1 14 10 nn oo pp nn1
kk 14 2 nn oo pp nn1
ll 14 1 nn oo pp nn1
mm 14 2 nn oo pp nn1
nn1 15 10 qq rr ss qq1
nn 15 2 qq rr ss qq1
oo 15 0 qq rr ss qq1
pp 15 2 qq rr ss qq1
qq1 16 10 tt uu vv tt1
qq 16 2 tt uu vv tt1
rr 16 1 tt uu vv tt1
ss 16 2 tt uu vv tt1
tt1 17 10 ww xx yy ww1
tt 17 2 ww xx yy ww1
uu 17 1 ww xx yy ww1
vv 17 2 ww xx yy ww1
ww1 18 10 zz
ww 18 2 zz
xx 18 1 zz
yy 18 2 zz
zz 19 2 aaa
aaa 20 1 bbb ccc ddd bbb1
bbb1 21 10 eee fff ggg eee1
bbb 21 2 eee fff ggg eee1
ccc 21 1 eee fff ggg eee1
ddd 21 2 eee fff ggg eee1
eee1 22 10 hhh iii jjj hhh1
eee 22 2 hhh iii jjj hhh1
fff 22 1 hhh iii jjj hhh1
ggg 22 2 hhh iii jjj hhh1
hhh1 23 10 kkk lll mmm kkk1
hhh 23 2 kkk lll mmm kkk1
iii 23 1 kkk lll mmm kkk1
jjj 23 2 kkk lll mmm kkk1
kkk1 24 10 nnn ooo ppp nnn1
kkk 24 2 nnn ooo ppp nnn1
lll 24 1 nnn ooo ppp nnn1
mmm 24 2 nnn ooo ppp nnn1
nnn1 25 10 qqq rrr sss qqq1
nnn 25 2 qqq rrr sss qqq1
ooo 25 0 qqq rrr sss qqq1
ppp 25 2 qqq rrr sss qqq1
qqq1 26 10 ttt uuu vvv ttt1
qqq 26 2 ttt uuu vvv ttt1
rrr 26 1 ttt uuu vvv ttt1
sss 26 2 ttt uuu vvv ttt1
ttt1 27 10 www xxx yyy www1
ttt 27 2 www xxx yyy www1
uuu 27 1 www xxx yyy www1
vvv 27 2 www xxx yyy www1
www1 28 10 zzz
www 28 2 zzz
xxx 28 1 zzz
yyy 28 2 zzz
zzz 29 7.0 end
end 30 100.0 z zz
GRAPH END
start end
a zz
a z